Pular para o conteúdo principal
POST
/
v1
/
agents
/
{agent_id}
/
sessions
Create session
curl --request POST \
  --url https://api.quintus.tec.br/v1/agents/{agent_id}/sessions \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
{
  "id": "<string>",
  "agent_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "user": {
    "id": "<string>",
    "reference": "<string>"
  },
  "messages_count": 0,
  "last_message_at": "2023-11-07T05:31:56Z",
  "closed_at": "2023-11-07T05:31:56Z",
  "context": {},
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://quintus.tec.br/docs/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

X-API-Key
string
header
obrigatório

Parâmetros de caminho

agent_id
string
obrigatório

Corpo

application/json
user
SessionUser · object

Reference to a user when creating a session. Lookup-only. Use POST /users to create users.

context
Context · object

Free-form key/value pairs injected into the agent's system context for this session. Use for plan tier, language, channel, etc.

metadata
Metadata · object

Free-form storage for the integrator. Saved with the session and returned on read. Not seen by the agent.

Resposta

Successful Response

id
string
obrigatório
agent_id
string
obrigatório
status
enum<string>
obrigatório
Opções disponíveis:
active,
closed,
expired
created_at
string<date-time>
obrigatório
updated_at
string<date-time>
obrigatório
user
UserSummary · object
messages_count
integer
padrão:0
last_message_at
string<date-time> | null
closed_at
string<date-time> | null
context
Context · object
metadata
Metadata · object